Package es.imim.DISGENET.network.colorMapping

# Class ColorAction

java.lang.Object
es.imim.DISGENET.network.colorMapping.ColorAction

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class ColorAction extends Object implements ActionListener
listener for the disease color button which calls the function to color nodes according to their disease classes and puts a legend into the results panel if it is not already there

Author:
  michael

## Constructor Summary

Constructors
Constructor
Description
`ColorAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`Long`
`CheckColorTable(org.cytoscape.model.CyNetwork cyNet)`
`void`
`fillColorTable(org.cytoscape.model.CyNetwork cyNet)`
`void`
`paintNodes(org.cytoscape.model.CyNetwork cyNet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorAction

public ColorAction()

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### CheckColorTable

public Long CheckColorTable(org.cytoscape.model.CyNetwork cyNet)

### fillColorTable

public void fillColorTable(org.cytoscape.model.CyNetwork cyNet)

### paintNodes

public void paintNodes(org.cytoscape.model.CyNetwork cyNet)